Subject: Block device throttling [Re: Distributed storage.]

From: Evgeniy Polyakov <[email-masked]>
Date: Wed, 8 Aug 2007 13:54:49 +0400

On Tue, Aug 07, 2007 at 10:55:38PM +0200, Jens Axboe ([email-masked]) wrote:
> I don't like structure bloat, but I do like nice design. Overloading is

So, what did we decide? To bloat bio a bit (add a queue pointer) or to
use physical device limits? The latter requires to replace all occurence
of bio->bi_bdev = something_new with blk_set_bdev(bio, somthing_new),
where queue limits will be appropriately charged. So far I'm testing
second case, but I only changed DST for testing, can change all other
users if needed though.

-- 
	Evgeniy Polyakov